﻿using System;
using System.Collections.Generic;
using DayPilot.Web.Ui;

namespace DayPilot.Models
{
    public class DayPilotData
    {
        public IEnumerable<DayPilotDataItem> Data { get; set; }
        public const string DataEndField = "End";
        public const string DataStartField = "Start";
        public const string DataTextField = "Text";
        public const string DataValueField = "Id";
        public int? Days { get; set; }
        public DateTime? StartDate { get; set; }

        public void CopyTo(DayPilotCalendar calendar)
        {
            if (this.Days.HasValue)
            {
                calendar.Days = this.Days.Value;
            }
            if (this.StartDate.HasValue)
            {
                calendar.StartDate = this.StartDate.Value;
            }
            calendar.DataEndField = DayPilotData.DataEndField;
            calendar.DataStartField = DayPilotData.DataStartField;
            calendar.DataTextField = DayPilotData.DataTextField;
            calendar.DataValueField = DayPilotData.DataValueField;
            if (this.Data != null)
            {
                calendar.DataSource = this.Data;
                calendar.DataBind();
            }
        }
    }
}
