﻿using System.Web;
using System.Web.Mvc;
using System.Web.UI;
using DayPilot.Models;
using DayPilot.Web.Ui;

namespace DayPilot.Views
{
    public static class DayPilotExtensions
    {
        public static string DayPilot(this HtmlHelper helper, DayPilotData model)
        {
            return DayPilot(helper, model, null);
        }

        public static string DayPilot(this HtmlHelper helper, DayPilotData model, DayPilotViewOptions options)
        {
            var calendar = new DayPilotCalendar();
            if (model != null)
            {
                model.CopyTo(calendar);
            }
            if (options != null)
            {
                options.CopyTo(calendar);
            }
            var sb = new System.Text.StringBuilder();
            sb.Append("<div class=\"dayPilot\">"); // allows working around td cellpadding bug in css
            using (var sw = new System.IO.StringWriter(sb))
            {
                using (var tw = new HtmlTextWriter(sw))
                {
                    calendar.RenderControl(tw);
                }
            }
            sb.Append("</div>");
            return sb.ToString();
        }
    }
}