﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using DayPilot.Web.Ui;

namespace DayPilot.Views
{
    public class DayPilotViewOptions
    {
        public int? BusinessBeginsHour { get; set; }
        public int? BusinessEndsHour { get; set; }
        public string DayFontSize { get; set; }
        public string EventFontSize { get; set; }
        public Unit? Height { get; set; }
        public string HourFontSize { get; set; }
        public int? HourHeight { get; set; }
        public int? HourWidth { get; set; }
        public bool? ShowHours { get; set; }
        public Unit? Width { get; set; }

        public void CopyTo(DayPilotCalendar calendar)
        {
            if (this.BusinessBeginsHour.HasValue) calendar.BusinessBeginsHour = this.BusinessBeginsHour.Value;
            if (this.BusinessEndsHour.HasValue) calendar.BusinessEndsHour = this.BusinessEndsHour.Value;
            if (!string.IsNullOrEmpty(this.DayFontSize)) calendar.DayFontSize = this.DayFontSize;
            if (!string.IsNullOrEmpty(this.EventFontSize)) calendar.EventFontSize = this.EventFontSize;
            if (this.Height.HasValue) calendar.Height = this.Height.Value;
            if (!string.IsNullOrEmpty(this.HourFontSize)) calendar.HourFontSize = this.HourFontSize;
            if (this.HourHeight.HasValue) calendar.HourHeight = this.HourHeight.Value;
            if (this.HourWidth.HasValue) calendar.HourWidth = this.HourWidth.Value;
            if (this.ShowHours.HasValue) calendar.ShowHours = this.ShowHours.Value;
        }
    }
}
